{# Templates/City/optionChooseBuilding.html.twig #}
{# City option which permits to start a building project #}

{% extends 'City/city.html.twig' %}

{% block cityOptionsTitle %}
	{{ 'header.build' | trans([], 'City') }}
{% endblock %}

{% block cityOption %}

	{% include 'City/Components/pendingConstruction.html.twig' with
		{'constructionProject': lord.city.constructionProject, 'remainingHammers': lord.city.storageCount('remainingHammers')}
	%}
	{# Necessary since we added a feedback to know the current construction (the building list had a margin-top of -15px in its CSS) #}
	{% if lord.city.constructionProject %}
		<div style="margin-bottom: 6px"></div>
	{% else %}
		<div style="margin-bottom: -15px"></div>
	{% endif %}
<ul class="buildings">
	{% for buildingProject in constructionProjects %}
		{% include 'City/Components/buildingProject.html.twig' with {'buildingProject': buildingProject} %}
	{% endfor %}
</ul>
<div class="clear"></div>
<a href="{{ path('app_city_city') }}" class="button">{{ 'messages.back' | trans([], 'Common') }}</a>
{% endblock %}